Bug 312911 - NM doesn't find wireless network adapter after suspend
NM doesn't find wireless network adapter after suspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 06:18 EDT by Kyrre Ness Sjøbæk
Modified: 2008-06-09 23:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.6-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 23:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2007-09-30 06:18:15 EDT
Description of problem:
When waking up from suspend, NetworkManager doesn't find the wireless adapter,
so it doesn't list it. This also means that it can't reconnect automatically.

It seems to be related to that the card needs more time to wake up than NM is
giving it, as i can get NM to find it again by unselecting and selecting
"activate network" in the gnome panel applet.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-7.fc7

How reproducible:


Steps to Reproduce:
1.Suspend
2.Resume
3.No wireless network in NM
4.Deactivate and reactivate network in nm-applet
5.Wireless network works
  
Actual results:
The wireless-networks header in the list of network-manager is gone

Expected results:
No networking problems related to suspend

Additional info:
I have an Intel PRO/Wireless 3945ABG adapter, using the ipw3945d driver (the one
that came with F7 didn't work very well)
Comment 1 Jeremy Katz 2007-10-04 13:42:26 EDT
Please try the latest iwl3945 driver in the F7 updates kernel.  It should work a
lot better than the original one _and_ has the advantage of working after
suspend :-)
Comment 2 Kyrre Ness Sjøbæk 2007-12-09 11:13:12 EST
Well, after something broke the ipw driver (something about microcode error
after a kernel update), i uninstalled it and reinstalled with iwl. To put it
bluntly: Compared to ipw (even with the resume bug), it plainly sucks. Why?
Firstly, it demands a *perfect* radio connection to work at all (else you get
massive package loss and in the end, the whole driver crashes and has to be
reloaded). Probable cause? It keeps to 54 mbit even if the radiolink sucks (on
the edge of coverage).

With iwl i could get a nice connection nearly everywhere (where nobody else
could connect with their laptops, no matter OS), but now i have to be on top of
the base station to get a connection at all.

ARGHGHGH!!!
Comment 3 Dan Williams 2008-04-10 17:03:35 EDT
Does 0.6.6 in f7-updates work any better here?
Comment 4 Kyrre Ness Sjøbæk 2008-04-10 17:54:41 EDT
Seems like it works very well now, i think it even wakes up after an rf-kill.

Activity ligth still does not work.
Comment 5 Fedora Update System 2008-04-10 18:22:29 EDT
NetworkManager-0.6.6-2.fc7 has been submitted as an update for Fedora 7
Comment 6 Dan Williams 2008-04-10 18:51:57 EDT
An additional fix for the ipw3945 specifically is in 0.6.6-2, would appreciate
it if you can test and ensure that works correctly with suspend/resume and
rfkill too.  Thanks!
Comment 7 Kyrre Ness Sjøbæk 2008-04-15 16:12:43 EDT
Hmm., i st 0.6.6-2.fc7 a "testing" package? It hasn't appeared in the regular
update repo yet (nor can i find it with yum --enablerepo=updates-testing
*NetworkManager*). I have 0.6.6-1 currently.
Comment 8 Dan Williams 2008-04-15 16:36:53 EDT
There hasn't been an updates push for a few days; it's slated to go to testing
when that happens.  There will be an update in this bug report when it gets pushed.
Comment 9 Fedora Update System 2008-04-16 23:54:25 EDT
NetworkManager-0.6.6-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-3145
Comment 10 Kyrre Ness Sjøbæk 2008-04-19 12:59:16 EDT
Just installed this update, and it has (at least the gnome frontend) has a
problem. It does connect all-right, but the animation stops after showing "two
green dots". After this, the gnome frontend seems "hung up", it doesn't even
respond to "deactivate wireless network".

RF-kill/wake seems to work (even if the "dots" never change, but ping stops and
then continues - I do not know whether this is really the driver setting things
right, or if NetworkManager is reconnecting...)

Suspend behaviour: The computer hung! It usually doesn't do that.
Comment 11 Bug Zapper 2008-05-14 10:34:17 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Update System 2008-06-09 23:17:09 EDT
NetworkManager-0.6.6-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.